Core - Task # 59874

Epic # 58282 (Accepted): Workspaces Workpackage #2
Story # 58284 (New): Bug fixes & Behaviour

Status: Resolved Priority: Should have
Author: Oliver Hader Category: Workspaces
Created: 2014-06-25 Assigned To: Oliver Hader
Updated: 2014-07-23 Due date:

TYPO3 Version: 6.2

PHP Version: 5.3

Complexity:

Sprint Focus:

Subject: Wrong sys_refindex for deleted child records

Description

Related issues:

related to Core - Task # 59853: Wrong nesting of deleted versioned child records Resolved 2014-06-24

Associated revisions

Revision 16299924 - 2014-07-23 13:51 - Oliver Hader

[BUGFIX] Wrong sys_refindex for deleted child records

Workspace actions using the DataHandler trigger a reprocessing
of the reference index. However, it happened that index entries
of the live workspace have been deleted or modified.

The reason for that is a missing SQL statement to limit those
actions to the current workspace only.

The result can be seen in e.g. the workspace module after
having deleted an IRRE child record and how the nesting could

not be determined correctly for that particular record.

Resolves: #59874

Releases: 6.2, 6.3

Change-Id: 1850e2fe88999ce8db280d4ef426e43c85fff06da
Reviewed-on: https://review.typo3.org/31590

Reviewed-by: Markus Klein <klein.t3@reelworx.at>

Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>

Reviewed-by: Oliver Hader <oliver.hader@typo3.org>

Tested-by: Oliver Hader <oliver.hader@typo3.org>

Revision 4dcd4a02 - 2014-07-23 14:11 - Oliver Hader
[BUGFIX] Wrong sys_refindex for deleted child records
Workspace actions using the DataHandler trigger a reprocessing

of the reference index. However, it happened that index entries
of the live workspace have been deleted or modified.
The reason for that is a missing SQL statement to limit those

actions to the current workspace only.

The result can be seen in e.g. the workspace module after
having deleted an IRRE child record and how the nesting could
not be determined correctly for that particular record.

Resolves: #59874

Releases: 6.2, 6.3

Change-Id: 1850e2fe88999ce8db280d4ef426e43c85fff06da
Reviewed-on: https://review.typo3.0rg/31738

Reviewed-by: Oliver Hader <oliver.hader@typo3.org>

Tested-by: Oliver Hader <oliver.hader@typo3.org>

History

#1 - 2014-06-25 13:18 - Oliver Hader
- Parent task set to #58284

#2 - 2014-07-11 11:34 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/31590

#3 - 2014-07-11 11:37 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/31590

#4 - 2014-07-11 11:40 - Oliver Hader
- Assigned To set to Oliver Hader

#5 - 2014-07-23 13:54 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/31738

#6 - 2014-07-23 14:00 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f6299924ce5a857f0d278081ba3f46e1074cc700.
